* {
    margin: 0;
}

body {
    font-family: "Roboto", Arial, Helvetica, sans-serif;
    font-size: 15px;
    line-height: 18px;
}

.page__width {
    max-width: 1500px;
    margin: 0 auto;
}

.header {
    position: relative;
    top: 0;
    height: 430px;
    background: #FFFFFF;
    box-shadow: 0 12px 35px rgba(160, 121, 0, 0.2)
}

.menu__link--container {
    max-width: 320px;
    margin: 0 auto;
}

.menu__link {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: wrap;
    margin-top: 0;
}

.item__link {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    flex-shrink: 1;
    flex-grow: 1;
    margin-right: 0;
    margin-bottom: 27px;
}

.logo-link--margin {
    margin-top: 20px;
    margin-bottom: 27px;
}

.link--properties {
    position: relative;
    text-decoration: none;
    display: flex;
    justify-content: center;
    flex-shrink: 0;
}

.link--color {
    color: #FF8A00;
}

.link:first-child {
    font-weight: bold;
}

.link--margin-padding {
    margin: 4px 9px;
    padding: 8px 20px 8px;
}

.link--underline::after {
    content: "";
    position: absolute;
    bottom: 0;
    width: 22px;
    height: 2px;
}

.link--underline:hover::after,
.link--underline:active::after,
.link--underline.active::after {
    background: linear-gradient(229.9deg, #FFC000 1.55%, #FF8A00 95.8%);
}

.img-cart--properties {
    position: relative;
    width: 34px;
    height: 29px;
    background: url(../design/icon-cart.svg) left bottom no-repeat;
    background-size: auto;
    border: 1px solid transparent;
    box-sizing: border-box;
}

.img-cart--properties:hover {
    border: 1px solid rgba(253, 200, 130, 0.5);
}

.sum {
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    width: 14px;
    height: 14px;
    border-radius: 14px;
    background: linear-gradient(253.58deg, #FFC000 1.55%, #FF8A00 95.8%);
    font-size: 6px;
    line-height: 9px;
}

.img-cart--margin {
    margin-bottom: 27px;
    margin-right: 20px;
}

.btn-span {
    color: white;
    display: inline-block;
    cursor: pointer;
    border: none;
    background: linear-gradient(229.9deg, #FFC000 1.55%, #FF8A00 95.8%);
    box-shadow: 0 12px 35px rgba(160, 121, 0, 0.2);
    border-radius: 100px;
}

.btn-span--txt {
    font-size: 14px;
    line-height: 16px;
    font-weight: bold;
}

.btn-span__conributor--padding {
    flex-shrink: 0;
    padding: 20px 27px 19px 28px;
}

.btn-span__log-in--padding {
    flex-shrink: 0;
    padding: 20px 60px 19px 61px;
}

.div__btn-span {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.div__btn-span--margin {
    margin-right: 3px;
}

.btn-span--user-select {
    user-select: none;
    margin: 10px 20px;
}

@media screen and (min-width:400px) {
    .menu__link--container {
        max-width: 400px;
    }

    .header {
        height: 370px;
    }
}

@media screen and (min-width:600px) {
    .menu__link--container {
        max-width: 600px;
    }

    .header {
        height: 270px;
    }
}

@media screen and (min-width:900px) {
    .menu__link--container {
        max-width: 1328px;
    }

    .header {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        height: 114px;
        z-index: 5;
    }

    .menu__link {
        justify-content: space-between;
    }

    .logo-link--margin {
        margin-top: 0;
    }

    .item__link {
        order: 1;
        justify-content: flex-start;
        margin-right: 20px;
        margin-bottom: 0;
    }

    .link--margin-padding {
        margin: 0 10px;
    }

    .img-cart--margin {
        margin-bottom: 9px;
    }

    .btn-span--user-select {
        margin: 2px 10px;
    }
}

@media screen and (min-width:1080px) {

    .menu__link {
        justify-content: unset;
        margin-top: 29px;
    }

    .item__link {
        order: 0;
        justify-content: flex-end;
    }

    .div__btn-span--margin {
        flex-wrap: nowrap;
    }

    .btn-span--user-select {
        margin: 0 1%;
    }

    .logo-link--margin {
        margin-bottom: 0;
    }

    .link--margin-padding {
        margin: 0 7px;
        padding: 8px 20px 5px;
    }
}

/* ----------------------------- music-block -------------------- */
.music-block--container {
    max-width: 320px;
    margin: 50px auto;
}

.music-block--margin {
    margin: 50px 0;
}

.music-block--properties {
    display: flex;
    justify-content: flex-start;
}

.music-block__title-name--properties {
    font-size: 44px;
    line-height: 158%;
    color: #FF8A00;
}

.music-block__title-name--properties:hover {
    text-shadow: 0 12px 35px rgba(160, 121, 0, 0.4);
}

.music-block__name-track--properties {
    font-size: 18px;
    line-height: 33px;
    color: #5C5C5C;
    text-decoration: none;
}

.music-block__name-track--properties:hover {
    color: #FF8A00;
}

.music-block__navigate-btn--properties {
    display: flex;
    justify-content: center;
    align-items: center;
}

.music-block__navigate-left--properties,
.music-block__navigate-right--properties {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 46px;
    height: 46px;
    border-radius: 50%;
}

.music-block__btn-span-left--properties {
    display: block;
    width: 31px;
    height: 31px;
    background: #FFF7DF url(../design/icon-arrow-left-orange.svg) center center no-repeat;
    border-radius: 50%;
}

.music-block__btn-span-right--properties {
    display: block;
    width: 31px;
    height: 31px;
    background: #FFF7DF url(../design/icon-arrow-right-orange.svg) center center no-repeat;
    border-radius: 50%;
}

.navigate-left--margin {
    margin-right: 16px;
}

.music-block__navigate-right--properties:hover,
.music-block__navigate-left--properties:hover {
    background: #FF8A00;
    box-shadow: 0px 12px 35px rgba(160, 121, 0, 0.2)
}

.music-block__navigate-right--properties:hover .music-block__btn-span-right--properties {
    background: #FF8A00 url(../design/icon-arrow-right-white.svg) center center no-repeat;
}

.music-block__navigate-left--properties:hover .music-block__btn-span-left--properties {
    background: #FF8A00 url(../design/icon-arrow-left-white.svg) center center no-repeat;
}

@media screen and (min-width:400px) {
    .music-block--container {
        max-width: 400px;
    }

}

@media screen and (min-width:600px) {
    .music-block__navigate-btn--properties {
        justify-content: flex-start;
    }
}

@media screen and (min-width:900px) {
    .music-block--margin {
        margin: 150px 0;
    }

    .music-block--container {
        max-width: 1040px;
        margin: 150px auto;
    }

    .music-block__in {
        margin-right: auto;
    }

}

/* ----------------------------- text-block__blog -------------------- */
.text-block--container {
    max-width: 889px;
    margin: 0 auto;
}

.text-block {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.text-block__blog-info--properties {
    font-size: 14px;
    line-height: 28px;
    color: #5C5C5C;
}

.blog-info--margin {
    margin: 20px 0;
}

.blog-title--margin {
    margin: 30px 0 20px;
}

.text-block__blog-title--properties {
    text-align: left;
    font-size: 24px;
    line-height: 158%;
    color: #FF8A00;
}

.text-block__block-image {
    margin: 0 4px;
}

.block-image-in--properties {
    display: inline-block;
    max-width: 882px;
    max-height: 432px;
    border-radius: 10px;
    overflow: hidden;
}

.image--properties {
    width: 100%;
}

.text-block__block-tags-icons {
    align-self: normal;
}

.block-tags-icons--margin {
    margin: 68px 0;
}

.block-tags-icons-in--properties {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}

.block-tags {
    align-self: center;
}

.block-tags--margin {
    margin-bottom: 20px;
}

.block-icons--properties {
    display: flex;
    align-items: center;
}

.text--properties {
    font-size: 14px;
    line-height: 23px;
    color: #5C5C5C;
}

.text--margin {
    margin-right: 27px;
}

.tags-link {
    text-decoration: none;
    color: #5C5C5C;
}

.tags-link:hover {
    color: #FF8A00;
}

.circle--width-28 {
    display: inline-block;
    width: 28px;
    height: 28px;
    border-radius: 50%;
    text-align: center;
    box-shadow: none
}

.circle--width-28:hover {
    box-shadow: 0 0 3px 4px rgba(255, 138, 0, 0.9);
}

.link-icon__facebook--color {
    background: #272EAE url(../design/icon-big-facebook.svg) center center no-repeat;
}

.link-icon__twitter--color {
    background: #1590D8 url(../design/icon-big-twitter.svg) center center no-repeat;
}

.link-icon__youtube--color {
    background: #D0021B url(../design/icon-big-youtube.svg) center center no-repeat;
}

.navigets-link {
    align-self: normal;
    margin-bottom: 140px;
}

.navigets-link-in {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.navigets-link__prev-post,
.navigets-link__next-post {
    display: flex;
    flex-direction: column;
    width: 250px;
}

.prev-post--margin {
    margin-bottom: 20px;
}

.prev-title--margin,
.next-title--margin {
    margin-bottom: 19px;
}

.prev-title--color {
    color: #5C5C5C;
}

.next-title--color {
    color: #FF8A00;
}

.title-style {
    font-weight: 600;
    font-size: 18px;
    line-height: 25px;
    text-decoration: none;
}

.title-style:hover {
    text-decoration: underline;
}

.text-align {
    text-align: right;
}

.navigets-link__post--style {
    text-decoration: none;
    font-size: 12px;
    line-height: 17px;
    color: #989898;
}

.navigets-link__post--style:hover {
    color: #FF8A00;
}

@media screen and (min-width:600px) {
    .block-tags-icons-in--properties {
        justify-content: space-evenly;
    }

    .block-tags--margin {
        margin-bottom: 0;
    }

    .prev-post--margin {
        margin-bottom: 0;
    }
}

@media screen and (min-width:900px) {
    .block-tags-icons-in--properties {
        justify-content: space-between;
    }

    .navigets-link-in {
        justify-content: space-between;
    }
}

.comment-block {
    max-width: 889px;
    margin: 50px auto;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.comment-block__title {
    font-size: 36px;
    line-height: 51px;
    color: #5C5C5C;
    margin-bottom: 30px;
}

.comment-wrapper--container {
    max-width: 870px;
    margin: 0 auto;
    padding: 0 15px;
    background: #FFFFFF;
    border: 1px solid #EFEFEF;
    border-radius: 10px;
}

.row {
    display: flex;
    margin: 0 -15px;
}

.row-in {
    display: flex;
    margin-left: 12%;
}

.col {
    padding: 15px;
    flex-grow: 1;
    box-sizing: border-box;
}

.col-avatar {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.col-avatar--margin {
    margin: 25px 0 0 15px;
}

.avatar-circle {
    display: inline-block;
    text-align: center;
    vertical-align: middle;
    max-width: 94px;
    max-height: 94px;
    border-radius: 50%;
    overflow: hidden;
}

.avatar-circle--after {
    position: relative;
    z-index: 1;
}

.avatar-circle--after::after {
    content: "";
    position: absolute;
    top: 33px;
    left: -15px;
    display: flex;
    width: 10px;
    height: 1px;
    background: #E12070;
    z-index: 1;
}

.avatar-icon {
    display: block;
    width: 100%;
}

.col-comment {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
}

.col-comment--margin {
    margin: 23px 7% 20px 0;
}

.text-comment--style {
    font-size: 15px;
    line-height: 28px;
    color: #535353;
}

.time-placing-comment--style {
    font-size: 12px;
    line-height: 17px;
    color: #989898;
}

.time-placing-comment--margin {
    margin-top: 27px;
}

.reply-comment {
    font-size: 12px;
    line-height: 17px;
    color: #5C5C5C;
}

.reply-comment--style {
    text-decoration: none;
}

.reply-comment--margin {
    margin-left: 20px;
}

.reply-comment:hover,
.reply-comment:active {
    color: orange;
}

.col--25 {
    flex-basis: 25%;
}

.col--75 {
    flex-basis: 75%;
}

.line-separator {
    height: 1px;
    background: #EFEFEF;
    border: none;
}

@media screen and (min-width:400px) {
    .text-comment--style {
        font-size: 16px;
    }

    .avatar-circle--after::after {
        content: "";
        top: 44px;
        left: -20px;
    }
}


@media screen and (min-width:600px) {
    .row-in {
        margin-left: 14%;
    }

    .avatar-circle--after::after {
        content: "";
        top: 52px;
    }
}

@media screen and (min-width:900px) {
    .row-in {
        display: flex;
        margin-left: 22%;
    }

    .avatar-circle--after::after {
        content: "";
        top: 60px;
        left: -35px;
    }

    .col-avatar--margin {
        margin: 48px 0 0 50px;
    }

    .col-comment--margin {
        margin: 48px 10% 50px 0;
    }
}



/* -------------------------- form-wrapper-block----------------------------- */
.form-wrapper-block {
    max-width: 889px;
    margin: 50px auto;
}

.form-wrapper-block--container {
    max-width: 790px;
}

.form-wrapper-block--properties {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

.form-wrapper-block__title--properties {
    font-size: 36px;
    line-height: 51px;
    color: #5C5C5C;
}

.form-wrapper-block__title--margin {
    margin-bottom: 25px;
}

.form-in {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
    max-width: 290px;
}

.form-in--margin {
    margin: 50px 0;
}

.div-input--margin {
    margin-bottom: 20px;
}

.input--properties {
    width: 290px;
    height: 60px;
    padding: 0 28px;
    box-sizing: border-box;
}

.textarea--properties {
    width: 290px;
    height: 229px;
    resize: none;
    padding: 36px 51px;
    box-sizing: border-box;
}

.all-setting {
    background: #FFF7DF;
    border: 1px solid #EFEFEF;
    border-radius: 100px;
}

.all-setting:focus {
    outline: none;
}

.all-setting::placeholder {
    font-size: 14px;
    line-height: 23px;
    color: #5C5C5C;
}

.form-btn--margin {
    margin-top: 45px;
}

.button-form--properties {
    display: flex;
    cursor: pointer;
    color: white;
    background:
        linear-gradient(229.9deg, #FFC000 1.55%, #FF8A00 95.8%);
    box-shadow: 0px 12px 35px rgba(160, 121, 0, 0.2);
    border: none;
    border-radius: 100px;
    padding: 20px 64px;
}

.button-form--outline {
    outline: none;
}


@media screen and (min-width:400px) {
    .form-in {
        max-width: 400px;
    }

    .input--properties {
        width: 347px;
    }

    .textarea--properties {
        width: 347px;
    }

}

@media screen and (min-width:600px) {
    .form-in {
        max-width: 600px;
    }

    .textarea--properties {
        width: 585px;
    }

}

@media screen and (min-width:900px) {
    .form-wrapper-block--properties {
        align-items: flex-start;
    }

    .form-in {
        flex-wrap: nowrap;
        max-width: 730px;
    }

    .textarea--properties {
        width: 730px;
    }
}

/* --------------  footer  ------------------ */
.footer-top--color {
    border: none;
    background: #212121;
}

.footer-top__big--properties {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.footer-top__big--container {
    max-width: 320px;
    margin: 0 auto;
}

.footer-top__left--properties,
.footer-top__right--properties {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    flex-basis: 100%;
    flex-shrink: 1;
    box-sizing: border-box;
    margin-top: 20px;
    margin-bottom: 20px;
}

.footer-top__logo-txt-icon,
.footer-top__contact-us,
.footer-top__terms-faq-link {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.footer-top__logo-txt-icon {
    margin-left: 10%;
    margin-bottom: 30px;
    flex-basis: 100%;
}

.footer-top__link-text--color {
    color: white;
}

.footer-top__quicklinks--properties {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    flex-basis: 60%;
}

.footer-top__in-quicklinks--properties {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-left: auto;
    margin-right: 30px;
}

.footer-top__contact-us {
    order: 1;
    margin-left: 0;
    flex-basis: 50%;
}

.footer-top__terms-faq-link {
    flex-basis: 62%;
}

.footer-top__logo-link--margin {
    margin-bottom: 28px;
}

.footer-top__text-info--properties {
    font-size: 14px;
    line-height: 17px;
    padding-right: 40px;
    margin-bottom: 30px;
}

.circle-small {
    display: inline-block;
    width: 21px;
    height: 21px;
    border-radius: 50%;
    text-align: center;
    box-shadow: none;
}

.circle-small:hover {
    box-shadow: 0 1px 4px 1px rgba(255, 255, 255, 0.5);
}

.img-center {
    vertical-align: middle;
}

.footer-top__icon-facebook--color {
    background: #272EAE url(../design/icon-small-facebook.svg) center center no-repeat;
}

.footer-top__icon-twitter--color {
    background: #1590D8 url(../design/icon-small-twitter.svg) center center no-repeat;
}

.footer-top__icon-youtube--color {
    background: #D0021B url(../design/icon-small-youtube.svg) center center no-repeat;
}

.footer-top__icon-dribbble--color {
    background: #F53E6A url(../design/icon-small-dribbble.svg) center center no-repeat;
}

.title-quicklinks--margin {
    margin-bottom: 25px;
}

.footer-top__link-text--properties {
    text-decoration: none;
    font-size: 14px;
    line-height: 176%;
}

.footer-top__link-text--properties:hover {
    color: orange;
}

.block-link {
    display: flex;
    flex-direction: column;
}

.block-link--margin-top {
    margin: 30px 0 0 0;
}

@media screen and (min-width:400px) {

    .footer-top__big--container {
        max-width: 400px;
    }

    .footer-top__left--properties,
    .footer-top__right--properties {
        justify-content: space-between;
        flex-basis: 49%;
        margin-top: 60px;
        margin-bottom: 60px;
    }

    .footer-top__logo-txt-icon,
    .footer-top__contact-us,
    .footer-top__terms-faq-link {
        align-items: flex-start;
        text-align: left;
    }


    .footer-top__logo-txt-icon {
        margin-left: 0;
    }

    .footer-top__quicklinks {
        flex-basis: 80%;
    }

    .footer-top__in-quicklinks {
        margin-left: 0;
        margin-right: 0;
    }

    .footer-top__contact-us {
        flex-basis: 38%;
    }

    .footer-top__terms-faq-link {
        margin-top: 66px;
        margin-bottom: 105px;
        flex-basis: 100%;
    }

    .footer-top__text-info--properties {
        margin-right: 30%;
    }

    .block-link--margin-top {
        margin: 0;
    }

    .footer-top__link-text--properties {
        font-size: 15px;
    }
}

@media screen and (min-width:600px) {
    .footer-top__big--container {
        max-width: 600px;
    }

    .footer-top__left--properties,
    .footer-top__right--properties {
        flex-basis: 49%;
    }

    .footer-top__terms-faq-link {
        margin-left: 0;
    }
}

@media screen and (min-width:900px) {
    .footer-top__big--container {
        max-width: 1328px;
    }

    .footer-top__left--properties,
    .footer-top__right--properties {
        align-items: flex-start;
        flex-wrap: nowrap;
        flex-basis: 50%;
    }

    .footer-top__logo-txt-icon,
    .footer-top__contact-us,
    .footer-top__terms-faq-link {
        text-align: unset;
    }

    .footer-top__logo-txt-icon {
        flex-basis: 48%;
        margin-left: 10%;
        margin-bottom: 0;
    }

    .footer-top__quicklinks {
        flex-basis: 52%;
    }

    .footer-top__in-quicklinks {
        margin-left: auto;
        margin-right: 30px;
    }

    .footer-top__contact-us {
        order: 0;
        margin-left: 50px;
        flex-basis: 38%;
    }

    .footer-top__terms-faq-link {
        margin-top: 100px;
        margin-bottom: 0;
        margin-left: 62px;
        flex-basis: 62%;
    }

    .block-link--margin-top {
        margin: auto 0 26px 50px;
    }

    .footer-top__text-info--properties {
        margin-right: 0;
    }
}

/* --------------------- footer-top__bottom ----------------- */
.footer-bottom--color {
    border: none;
    background: black;
}

.footer-bottom__small--properties {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}

.footer-bottom__left--properties,
.footer-bottom__right--properties {
    padding: 13px 0;
}

.footer-bottom__left--properties {
    margin-left: 5%;
}

.footer-bottom__right--properties {
    margin-right: 5%;
}

.footer-bottom__text--properties {
    font-size: 12px;
    line-height: 15px;
}

.footer-bottom__text-color--properties {
    color: white;
}

.footer-bottom__txt-span--margin {
    margin-left: 20px;
}

.footer-bottom__link--color {
    font-size: 12px;
    line-height: 15px;
    color: yellow;
}

.footer-bottom__link--color:hover {
    color: orange;
}

@media screen and (min-width:900px) {
    .footer-bottom__small--container {
        max-width: 1328px;
        margin: 0 auto;
    }

    .footer-bottom__small--properties {
        justify-content: space-between;
    }
}